Subject: gclcvs_2.7.0-93(mips/unstable): FTBFS on mips.
From: Peter De Schrijver <[email-masked]>
To: [email-masked]
Date: Sat, 28 Feb 2009 19:58:26 +0200

Package: gclcvs
Version: 2.7.0-93
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of gclcvs_2.7.0-93 on mayr by sbuild/mips 99.999
> Build started at 20090228-1057

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.1.16), libreadline5-dev | libreadline-dev, m4, tk8.4-dev, texlive-latex-base, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller, libxmu-dev, libxaw7-dev, po-debconf

[...]

> gcc -c -g -O2 -fsigned-char -pipe -Wall  -fPIC -O3 -fomit-frame-pointer  -I/build/buildd/gclcvs-2.7.0/o -I../h -I../gcl-tk unixsave.c  
> gcc -c -g -O2 -fsigned-char -pipe -Wall  -fPIC -O3 -fomit-frame-pointer  -I/build/buildd/gclcvs-2.7.0/o -I../h -I../gcl-tk funlink.c  
> gcc -c -g -O2 -fsigned-char -pipe -Wall  -fPIC -O3 -fomit-frame-pointer  -I/build/buildd/gclcvs-2.7.0/o -I../h -I../gcl-tk fat_string.c  
> fat_string.c:232: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'bfd_combined_table_update'
> fat_string.c: In function 'fSset_up_combined':
> fat_string.c:304: error: 'bfd_combined_table_update' undeclared (first use in this function)
> fat_string.c:304: error: (Each undeclared identifier is reported only once
> fat_string.c:304: error: for each function it appears in.)
> make[2]: *** [fat_string.o] Error 1
> rm list.c
> make[2]: Leaving directory `/build/buildd/gclcvs-2.7.0/o'
> make[1]: *** [unixport/saved_pre_gcl] Error 2
> make[1]: Leaving directory `/build/buildd/gclcvs-2.7.0'
> make: *** [build-trad-stamp] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=mips&pkg=gclcvs&ver=2.7.0-93